Loading...
Searching...
No Matches
CameraInfo Struct Reference
Pstsdk

Information for each camera of the connected PST Tracker. More...

`#include <PstTypes.h>`

Collaboration diagram for CameraInfo:
[legend]

## Public Attributes
Utils::PstString | camera_id
Utils::PstString | local_sha1
Utils::PstString | server_sha1_url
Utils::PstString | calibration_url

## Detailed Description

This struct provides key details for each camera of the connected PST Tracker, including calibration verification data, unique camera identifier, and URLs to retrieve the calibration files.

Fields:

- camera_id : Unique identifier for the camera.
- local_sha1 : SHA1 checksum of the local calibration file. If the local file could not be read, this field contains a descriptive error message. Possible error messages include:
  - "Error - File not found" : The calibration file does not exist in the expected location.
  - "Error - Error reading the file" : The file exists but could not be opened or read.
- server_sha1_url : URL to retrieve the SHA1 checksum of the corresponding server file. Users can fetch the server SHA1 from this URL and compare it with the local SHA1 to verify that the local calibration files are up to date.
- calibration_url : URL to retrieve the calibration file.

Calibration verification: By matching the SHA1 of the local files to the SHA1 fetched from the provided CameraInfo::server_sha1_url it can be determined if the local calibration information is up-to-date. If the local files do not match the server, updated files can be downloaded from the provided CameraInfo::calibration_url and loaded using LoadCalibrationFromLocalPath().

Note
  In multi-PST setups, SHA1 comparison results may differ even when the calibration files are valid. During the registration process, the system calculates the position and orientation of all PST units relative to each other, updating the local calibration files. These modifications can cause the local file checksums to differ from the original server versions.

See also
  Tracker::LoadCalibrationFromLocalPath()
  Tracker::GetConnectedCameraInfo()

## Member Data Documentation

## ◆ calibration_url

Utils::PstString calibration_url

URL to retrieve calibration file

## ◆ camera_id

Utils::PstString camera_id

Unique ID of the camera

## ◆ local_sha1

Utils::PstString local_sha1

SHA1 checksum of the local calibration file or descriptive error message

## ◆ server_sha1_url

Utils::PstString server_sha1_url

URL to retrieve the SHA1 of the server calibration file

The documentation for this struct was generated from the following file:

- include/PstTypes.h